Kalyna128_Info Struct Reference

Kalyna-128 block cipher information. More...

`#include <kalyna.h>`

Inheritance diagram for Kalyna128_Info:

## Static Public Member Functions

static const char * | StaticAlgorithmName ()
Static Public Member Functions inherited from VariableKeyLength< 16, 16, 32 >
static size_t | StaticGetValidKeyLength (size_t keylength)
| Provides a valid key length for the algorithm provided by a static function.

## Additional Inherited Members

Static Public Attributes inherited from FixedBlockSize< 16 >
static const int | BLOCKSIZE
| The block size of the algorithm provided as a constant.
Static Public Attributes inherited from VariableKeyLength< 16, 16, 32 >
static const int | MIN_KEYLENGTH
| The minimum key length used by the algorithm provided as a constant.
static const int | MAX_KEYLENGTH
| The maximum key length used by the algorithm provided as a constant.
static const int | DEFAULT_KEYLENGTH
| The default key length used by the algorithm provided as a constant.
static const int | KEYLENGTH_MULTIPLE
| The key length multiple used by the algorithm provided as a constant.
static const int | IV_REQUIREMENT
| The default IV requirements for the algorithm provided as a constant.
static const int | IV_LENGTH
| The default initialization vector length for the algorithm provided as a constant.

## Detailed Description

Kalyna-128 block cipher information.

Since
  Crypto++ 6.0

Definition at line 25 of file kalyna.h.

## Member Function Documentation

## StaticAlgorithmName()

const char * Kalyna128_Info::StaticAlgorithmName | ( |  | ) |

inline static

Definition at line 27 of file kalyna.h.

The documentation for this struct was generated from the following file:

- kalyna.h